package com.tzld.longarticle.recommend.server.web;

import com.tzld.longarticle.recommend.server.service.XxlJobService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("/xxlJob")
@Slf4j
public class XxlJobController {
    @Autowired
    private XxlJobService service;

    @GetMapping("/checkPublishPlan")
    public void checkPublishPlan() {
        service.checkPublishPlan(null);
    }

    @GetMapping("/checkPublishPlanAccount")
    public void checkPublishPlanAccount() {
        service.checkPublishPlanAccount(null);
    }

    @GetMapping("/checkColdCrawlerPlan")
    public void checkColdCrawlerPlan(String dateStr) {
        service.checkColdCrawlerPlan(dateStr);
    }

    @GetMapping("/migrateCrawlerRootSourceId")
    public void migrateCrawlerRootSourceId(String dateStr) {
        service.migrateCrawlerRootSourceId(dateStr);
    }

    @GetMapping("/migrateArticleRootSourceId")
    public void migrateArticleRootSourceId(String dateStr) {
        service.migrateArticleRootSourceId(dateStr);
    }

    @GetMapping("/accountAvgInfoV3Job")
    public void accountAvgInfoV3Job(String dateStr) {
        service.accountAvgInfoV3Job(dateStr);
    }

    @GetMapping("/alertPushMessageJob")
    public void alertPushMessageJob(String dateStr) {
        service.alertPushMessageJob(dateStr);
    }

    @GetMapping("/syncArticleRootPublishId")
    public void syncArticleRootPublishId(String dateStr) {
        service.syncArticleRootPublishId(dateStr);
    }

    @GetMapping("/articlePromotion")
    public void articlePromotion() {
        service.articlePromotion(null);
    }

    @GetMapping("/articlePromotionTraceability")
    public void articlePromotionTraceability(String channelContentId) {
        service.articlePromotionTraceability(channelContentId);
    }

    @GetMapping("/articleCategoryJob")
    public void articleCategoryJob() {
        service.articleCategoryJob(null);
    }

    @GetMapping("/articleCategoryJobRetry")
    public void articleCategoryJobRetry() {
        service.articleCategoryJobRetry(null);
    }

    @GetMapping("/refreshArticleHisCache")
    public void refreshArticleHisCache() {
        service.refreshArticleHisCache(null);
    }

}
